package com.yonge.cooleshow.biz.dal.wrapper.liveroom;

import com.alibaba.fastjson.JSON;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Optional;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

/**
 * 直播房间数据表
 * 2023-08-15 15:50:17
 */
@ApiModel(value = "LiveBroadcastRoomDataWrapper对象", description = "直播房间数据表查询对象")
public class LiveBroadcastRoomDataWrapper {

    @Data
	@Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel(" LiveBroadcastRoomDataQuery-直播房间数据表")
    public static class LiveBroadcastRoomDataQuery implements QueryInfo {
    
    	@ApiModelProperty("当前页")
        private Integer page;
        
        @ApiModelProperty("分页行数")
        private Integer rows;
        
        @ApiModelProperty("关键字匹配")
		private String keyword;
        
        public String getKeyword() {
            return Optional.ofNullable(keyword).filter(StringUtils::isNotBlank).orElse(null);
        }
        
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static LiveBroadcastRoomDataQuery from(String json) {
            return JSON.parseObject(json, LiveBroadcastRoomDataQuery.class);
        }
    }  

	@ApiModel(" LiveBroadcastRoomData-直播房间数据表")
    public static class LiveBroadcastRoomData {
        
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static LiveBroadcastRoomData from(String json) {
            return JSON.parseObject(json, LiveBroadcastRoomData.class);
        }
	}

}